=== modified file 'qt/Makefile.am'
--- qt/Makefile.am	2011-03-07 00:38:08 +0000
+++ qt/Makefile.am	2011-03-07 02:08:39 +0000
@@ -2,7 +2,20 @@
 	 $(QTGUI_CFLAGS) -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED \
 	 -DPREFIX="\"$(prefix)\"" -DDATADIR="\"$(datadir)\""
 
-SOURCES = main.cpp \
+%.h: %.ui
+	uic -o $@ $<
+%.cpp: %.ui
+	uic -o $@ -impl $*.h $<
+# This rule lets GNU make create any moc_*.cpp from the equivalent *.h
+# You have one .h file, it's called myapp.h. Therefore, here I list
+# its mocced name, moc_myapp.cpp.
+moc_%.cpp: %.h
+	moc $< -o $@
+
+qfreej_ui = ui_qfreej.h
+ui_qfreej.h: ui_qfreej.ui
+
+SOURCES = ui_qfreej.h main.cpp \
     qfreej.cpp \
     QqComboBlit.cpp \
     QqWidget.cpp \

=== removed file 'qt/qfreej.ui'
--- qt/qfreej.ui	2010-11-07 23:12:08 +0000
+++ qt/qfreej.ui	1970-01-01 00:00:00 +0000
@@ -1,82 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<ui version="4.0">
- <class>Qfreej</class>
- <widget class="QMainWindow" name="Qfreej">
-  <property name="geometry">
-   <rect>
-    <x>0</x>
-    <y>0</y>
-    <width>562</width>
-    <height>362</height>
-   </rect>
-  </property>
-  <property name="windowTitle">
-   <string>Qfreej</string>
-  </property>
-  <widget class="QWidget" name="centralWidget">
-   <layout class="QHBoxLayout" name="horizontalLayout">
-    <item>
-     <layout class="QGridLayout" name="gridLayout_2">
-      <item row="1" column="0">
-       <layout class="QGridLayout" name="gridLayout">
-        <item row="1" column="1">
-         <widget class="QWidget" name="widget" native="true">
-          <layout class="QHBoxLayout" name="horizontalLayout_2">
-           <item>
-            <layout class="QHBoxLayout" name="horizontalLayout_3">
-             <item>
-              <widget class="QMdiArea" name="mdiArea"/>
-             </item>
-            </layout>
-           </item>
-          </layout>
-         </widget>
-        </item>
-       </layout>
-      </item>
-      <item row="0" column="0">
-       <widget class="QPushButton" name="streamButton">
-        <property name="toolTip">
-         <string>Assuming you have a dummy filled Javasript streaming file named stream.js</string>
-        </property>
-        <property name="text">
-         <string>Stream</string>
-        </property>
-       </widget>
-      </item>
-     </layout>
-    </item>
-   </layout>
-  </widget>
-  <widget class="QMenuBar" name="menuBar">
-   <property name="geometry">
-    <rect>
-     <x>0</x>
-     <y>0</y>
-     <width>562</width>
-     <height>22</height>
-    </rect>
-   </property>
-  </widget>
-  <widget class="QToolBar" name="mainToolBar">
-   <attribute name="toolBarArea">
-    <enum>TopToolBarArea</enum>
-   </attribute>
-   <attribute name="toolBarBreak">
-    <bool>false</bool>
-   </attribute>
-  </widget>
-  <widget class="QStatusBar" name="statusBar"/>
-  <action name="actionOpen">
-   <property name="text">
-    <string>open</string>
-   </property>
-   <property name="toolTip">
-    <string>Lance la lecture</string>
-   </property>
-  </action>
- </widget>
- <layoutdefault spacing="6" margin="11"/>
- <resources/>
- <connections/>
-</ui>

=== added file 'qt/ui_qfreej.ui'
--- qt/ui_qfreej.ui	1970-01-01 00:00:00 +0000
+++ qt/ui_qfreej.ui	2011-03-07 02:08:39 +0000
@@ -0,0 +1,82 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<ui version="4.0">
+ <class>Qfreej</class>
+ <widget class="QMainWindow" name="Qfreej">
+  <property name="geometry">
+   <rect>
+    <x>0</x>
+    <y>0</y>
+    <width>562</width>
+    <height>362</height>
+   </rect>
+  </property>
+  <property name="windowTitle">
+   <string>Qfreej</string>
+  </property>
+  <widget class="QWidget" name="centralWidget">
+   <layout class="QHBoxLayout" name="horizontalLayout">
+    <item>
+     <layout class="QGridLayout" name="gridLayout_2">
+      <item row="1" column="0">
+       <layout class="QGridLayout" name="gridLayout">
+        <item row="1" column="1">
+         <widget class="QWidget" name="widget" native="true">
+          <layout class="QHBoxLayout" name="horizontalLayout_2">
+           <item>
+            <layout class="QHBoxLayout" name="horizontalLayout_3">
+             <item>
+              <widget class="QMdiArea" name="mdiArea"/>
+             </item>
+            </layout>
+           </item>
+          </layout>
+         </widget>
+        </item>
+       </layout>
+      </item>
+      <item row="0" column="0">
+       <widget class="QPushButton" name="streamButton">
+        <property name="toolTip">
+         <string>Assuming you have a dummy filled Javasript streaming file named stream.js</string>
+        </property>
+        <property name="text">
+         <string>Stream</string>
+        </property>
+       </widget>
+      </item>
+     </layout>
+    </item>
+   </layout>
+  </widget>
+  <widget class="QMenuBar" name="menuBar">
+   <property name="geometry">
+    <rect>
+     <x>0</x>
+     <y>0</y>
+     <width>562</width>
+     <height>22</height>
+    </rect>
+   </property>
+  </widget>
+  <widget class="QToolBar" name="mainToolBar">
+   <attribute name="toolBarArea">
+    <enum>TopToolBarArea</enum>
+   </attribute>
+   <attribute name="toolBarBreak">
+    <bool>false</bool>
+   </attribute>
+  </widget>
+  <widget class="QStatusBar" name="statusBar"/>
+  <action name="actionOpen">
+   <property name="text">
+    <string>open</string>
+   </property>
+   <property name="toolTip">
+    <string>Lance la lecture</string>
+   </property>
+  </action>
+ </widget>
+ <layoutdefault spacing="6" margin="11"/>
+ <resources/>
+ <connections/>
+</ui>

